#!/bin/bash

DIST=$1

echo "MyIoTService"


mkdir -p $DIST/Automate
mkdir -p $DIST/MQTTBroker
mkdir -p $DIST/MessageCollector
mkdir -p $DIST/MessageDistributor


cp -p  Automate/config.json.template            $DIST/Automate/
cp -p  Automate/executor.go                     $DIST/Automate/
cp -p  Automate/main.go                         $DIST/Automate/
cp -p  Automate/stop                            $DIST/Automate/
cp -pr Automate/CMD                             $DIST/Automate/


cp -p  MQTTBroker/mqtt_setup.sh                 $DIST/MQTTBroker/

cp -p  MessageCollector/config.json.template    $DIST/MessageCollector/
cp -p  MessageCollector/MessageCollector.go     $DIST/MessageCollector/
cp -p  MessageCollector/stop                    $DIST/MessageCollector/

cp -p  MessageDistributor/config.json.template  $DIST/MessageDistributor/
cp -p  MessageDistributor/MessageDistributor.go $DIST/MessageDistributor/


cp -p setup                                     $DIST/
